std::experimental::erase(std::deque)(3)

NAME
std::experimental::erase(std::deque) - std::experimental::erase(std::deque)

Synopsis
   Defined in header <experimental/deque>
   template <class T, class A, class U> (library fundamentals TS v2)
   void erase(std::deque<T, A>& c, const U& value);
   Erases all elements that compare equal to value from the container. Equivalent to
   c.erase(std::remove(c.begin(), c.end(), value), c.end());

Parameters
   c - container from which to erase
   value - value to be removed

Complexity
   Linear.

Example
// Run this code
 #include <experimental/deque>
 #include <iostream>
 auto show = [](const auto& container) {
     for (auto e : container) {
         std::cout << e;
     }
     std::cout << '\n';
 };
 int main()
 {
     std::deque<int> data{1,1,1,4,1,1,1,2,1,1,1};
     show(data);
     std::experimental::erase(data, 1);
     show(data);
 }

Output:
 11141112111
 42

See also
   remove removes elements satisfying specific criteria
   remove_if (function template)
   erase_if (std::deque) Erases all elements satisfying a predicate from a
   (library fundamentals 2 TS) std::deque
                        (function template)